# stdex: stdex::wav::silence Struct Reference

Loading...
Searching...
No Matches
stdex::wav::silence Struct Reference

Silence. More...

`#include <stdex/wav.hpp>`

## Public Types

using | record = stdex::idrec::record<silence, id_t, 0x746E6C73 , length_t, align>

## Public Attributes

uint32_t | num_samples = 0
| The number of silent samples that appear in the waveform at this point in the wave list chunk.

## Friends

stdex::stream::basic & | operator<< (stdex::stream::basic &dat, const silence &data)
stdex::stream::basic & | operator>> (stdex::stream::basic &dat, silence &data)

## Detailed Description

Silence.

The documentation for this struct was generated from the following file:

- include/stdex/wav.hpp